Subject: Re: MPC8xx binaries running on a MPC82xx board

From: Kumar Gala <[email-masked]>
Date: Tue, 9 Nov 2004 10:50:24 -0600

One of the main issues that occurs when trying to run applications from 
8xx to 82xx is dealing with the difference in cache line size.  If code 
is written properly this difference will be invisible to the user.  It 
might be that 8xx code is not as optimal on 82xx because of it.

Also since you are going from 8xx -> 82xx your applications most likely 
are all integer code.  Going from 82xx -> 8xx may not be as successful.

- kumar

On Nov 9, 2004, at 10:37 AM, annamaya wrote:

> I was under the assumption that the MPC8xx core was
>  different from the MPC82xx core (the 603e?). But I was
>  surprised to find that the MPC8xx binaries were
>  running fine on a MPC82xx binaries, even if they were
>  dynamically linked and were linking to the MPC82xx
>  libraries. What's going on here? Can I just use the
>  8xx toolkit to work with the 82xx? There must be SOME
> differences between these two architectures. Can
>  someone here explain this to me?
>
>
>
>                
>  __________________________________
>  Do you Yahoo!?
> Check out the new Yahoo! Front Page.
> www.yahoo.com
>   
>
> _______________________________________________
> Linuxppc-embedded mailing list
>  [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded